Bug 975737 - SELinux is preventing /usr/bin/razor-lightdm-greeter from 'execute' accesses on the file /bin/razor-power.
SELinux is preventing /usr/bin/razor-lightdm-greeter from 'execute' accesses ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4a199542997007dcbe49d3fd768...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 05:01 EDT by Karel Volný
Modified: 2013-06-23 02:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-54.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 02:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-06-19 05:01:41 EDT
Description of problem:
For some reason the report did not appear immediately and my memory is failing, but I believe this has happened after unplugging the power while not yet logged in.
SELinux is preventing /usr/bin/razor-lightdm-greeter from 'execute' accesses on the file /bin/razor-power.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that razor-lightdm-greeter should be allowed execute access on the razor-power file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep razor-lightdm-g /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:spamc_exec_t:s0
Target Objects                /bin/razor-power [ file ]
Source                        razor-lightdm-g
Source Path                   /usr/bin/razor-lightdm-greeter
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           lightdm-razorqt-0.5.2-9.fc19.x86_64
Target RPM Packages           razorqt-power-0.5.2-9.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-47.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-300.fc19.x86_64 #1 SMP Fri
                              May 24 22:17:06 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-07 10:26:13 CEST
Last Seen                     2013-06-07 10:26:13 CEST
Local ID                      b05d975f-42bc-4b6e-a4fb-ef64ee1ea85c

Raw Audit Messages
type=AVC msg=audit(1370593573.803:204): avc:  denied  { execute } for  pid=2088 comm="razor-lightdm-g" name="razor-power" dev="dm-0" ino=10494584 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:spamc_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1370593573.803:204): arch=x86_64 syscall=execve success=no exit=EACCES a0=7fff8797efdd a1=fba700 a2=7fff879801f8 a3=366d6879b0 items=1 ppid=2083 pid=2088 auid=4294967295 uid=992 gid=987 euid=992 suid=992 fsuid=992 egid=987 sgid=987 fsgid=987 ses=4294967295 tty=(none) comm=razor-lightdm-g exe=/usr/bin/razor-lightdm-greeter subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

type=CWD msg=audit(1370593573.803:204): cwd=/var/log/lightdm

type=PATH msg=audit(1370593573.803:204): item=0 name=/bin/razor-power inode=10494584 dev=fd:00 mode=0100755 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:spamc_exec_t:s0

Hash: razor-lightdm-g,xdm_t,spamc_exec_t,file,execute

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-301.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-06-19 06:31:12 EDT
commit 759775ce889b6aa0bb1aa449570776eb20b0eec7
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jun 19 12:30:00 2013 +0200

    Fix labeling for all /usr/bin/razor-lightdm-* binaries


So execute 

# chcon -t spamc_exec_t /usr/bin/razor-lightdm-*

for now to see if it works. Thank you.
Comment 2 Fedora Update System 2013-06-19 17:32:06 EDT
selinux-policy-3.12.1-54.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-54.fc19
Comment 3 Fedora Update System 2013-06-20 14:02:13 EDT
Package selinux-policy-3.12.1-54.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-54.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11355/selinux-policy-3.12.1-54.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-23 02:27:33 EDT
selinux-policy-3.12.1-54.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.